// =================================================================
//
//  LXL.DCL V5.02
//
//  Copyright (C) Patrick_35
//
// =================================================================

lxl : dialog {
  label        = "Choix de la feuille Excel";
  fixed_width  = true;
  alignment    = centered;
  allow_accept = true;
  is_cancel = true;
  : popup_list {key = "feuille";}
  spacer;
  ok_cancel;
}

bloc : dialog {
  label = "Selection du/des bloc(s)";
  : list_box {key = "valeur"; height = 20; multiple_select = true; width = 30;}
  spacer;
  ok_cancel;
}

att : dialog {
  label        = "LXL V5.02";
  fixed_width  = true;
  alignment    = centered;
  allow_accept = true;
  is_cancel = true;
  : row {
    : column {
      width = 66;
      :boxed_column {
        label = "Fichier Excel";
        : popup_list {key = "fichier";}
	spacer;
	: row {
	  : button {label = "Ajouter";   key = "afichier";}
	  : button {label = "Supprimer"; key = "sfichier";}
	  : button {label = "Changer";   key = "cfichier";}
	}
	spacer;
        : text   {		       key = "chemin";}
	spacer;
      }
      :boxed_column {
        label = "Feuille Excel";
        key = "gfeuille";
        : popup_list {key = "feuille";}
	spacer;
	: row {
	  : button {label = "Ajouter";   key = "afeuille";}
	  : button {label = "Supprimer"; key = "sfeuille";}
	  : button {label = "Changer";   key = "cfeuille";}
	}
	spacer;
      }
      : boxed_column {
	label = "Mise  jour d'Autocad vers Excel"; key = "maja";
	: row {
	  : button {label = "Vrification + Mise  jour"; key = "maj3"; width = 25;}
	  : button {label = "Mise  jour"; 		  key = "maj1"; width = 25;}
	}
	: row {
	  : radio_button {label = "Tout"; key = "toutae";}
	  : radio_button {label = "Attributs/Textes/Rtexts"; key = "attae";}
	  : radio_button {label = "Tableaux"; key = "tabae";}
	}
	spacer;
      }
      : boxed_column {
	label = "Mise  jour d'Excel vers Autocad"; key = "maje";
	: row {
	  : button {label = "Vrification + Mise  jour"; key = "maj4"; width = 25;}
	  : button {label = "Mise  jour";		  key = "maj2"; width = 25;}
	}
	: row {
	  : radio_button {label = "Tout"; key = "toutea";}
	  : radio_button {label = "Attributs/Textes/Rtexts"; key = "attea";}
	  : radio_button {label = "Tableaux"; key = "tabea";}
	}
	spacer;
      }
    }
    : column {
      : boxed_column {
        label = "Attributs/Textes/Mtexts";
        key = "att";
        : row {
          : list_box {label = "Valeur actuelle";  key = "valeur"; height = 13; multiple_select = true; width = 41;}
          : column {
            spacer;
            : button {label = "Supprimer"; key = "satt";}
            : button {label = "Modifier";  key = "matt";}
            : button {label = "Changer";   key = "change";}
            : button {label = "Haut";      key = "haut";}
            : button {label = "Bas";       key = "bas";}
            : button {label = "Trier";     key = "trier";}
            spacer;
          }
        }
        : column {
          : row {
            : button {label = "Ajouter Attribut/Texte"; key = "aatt1"; width = 30;}
            : button {label = "Ajouter Bloc/Rtext/Table"; key = "aatt2";}
          }
          : boxed_row {
            label = "Mode d'affectation des Cellules";
            :radio_button { label = "Libre";		 key = "libre";}
            :radio_button { label = "Incrment Ligne";   key = "ligne";}
            :radio_button { label = "Incrment Colonne"; key = "colonne";}
          }
        }
        : row {
          : column {
            : text {label = "Cellule affecte";}
            : text {label = "Bloc";}
            : text {label = "Etiquette";}
            : text {label = "Identificateur";}
          }
          : column {
            width = 20;
            : text {key = "cellule";}
            : text {key = "bloc";}
            : text {key = "etiquette";}
            : text {key = "id";}
          }
          : boxed_column {
            label = "Insertion/Copie";
            : toggle {label = "Activation"; key = "acti";}
            : button {label = "Slection";  key = "choix";}
            spacer;
          }
        }
	spacer;
      }
    }
  }
  spacer;
  ok_button;
}

err1 : dialog {
  key = titre;
  : list_box {key = "lst"; multiple_select = true; width = 120; height = 26;}
  : row {
    is_cancel = true;
    fixed_width = true;
    alignment = centered;
    : button {label = "Valider"; key = "valid";}
    cancel_button;
  }
}


err2 : dialog {
  key = titre;
  : list_box {key = "lst"; multiple_select = true; width = 120; height = 26;}
  : row {
    is_cancel = true;
    fixed_width = true;
    alignment = centered;
    ok_button;
  }
}